const searchInput = document.getElementById('search-input');
    const sidebarLinks = document.getElementById('sidebar-links');
    const contentDiv = document.getElementById('content');
    const searchResults = document.getElementById('search-results');
    const loader = document.getElementById('loader');

    const documentationData = [
      {
        title: "Распоряжение Правительства Нижегородской области \"Об обеспечении пожарной безопасности объектов и населенных пунктов в весенне-летний период 2024 года\"",
        content: "13 марта 2024 <br> Раздел: Действующие документы <br> Тип: Распоряжение <br> Уровень: Региональный <br> <a href='https://cit.nobl.ru/upload/uf/09c/vixo7rmk1tfb4kdq1jz8yz0eltupfh4m/1.%20%D0%A0%D0%B0%D1%81%D0%BF%D0%BE%D1%80%D1%8F%D0%B6%D0%B5%D0%BD%D0%B8%D0%B5_(%D1%84%D0%B0%D0%B9%D0%BB%20%D0%BE%D1%82%D0%BE%D0%B1%D1%80%D0%B0%D0%B6%D0%B5%D0%BD%D0%B8%D1%8F).pdf', style='color: black'>Скачать</a> (загружено 7 раз)", 
      },
      {
        title: "Об утверждении плана мероприятий по противодействию коррупции на 2024 г.",
        content: "13 декабря 2023 <br> №: 111-од <br> Раздел: Действующие документы <br> Тип: Приказ <br> Уровень: Муниципальный <br> <a href='https://cit.nobl.ru/upload/uf/3b5/agaot0qfcplspw46clbub0ybn0sluqko/%D0%9F%D1%80%D0%B8%D0%BA%D0%B0%D0%B7+%D0%BF%D0%BB%D0%B0%D0%BD%20%D0%BD%D0%B0%202024%D0%B3..pdf', style='color: black'>Скачать</a> (загружено 7 раз)",
      },
      {
        title: "Выгрузка подписи",
        content: "10 октября 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='документы/Инструкция выгрузка подписи.docx', download='Инструкция выгрузка подписи.docx', style='color: black'>Скачать</a> (загружено 47 раз)", 
      },
      {
        title: "О внесении изменений в приказ управления документационного обеспечения Нижегородской области от 4 октября 2022г. No 528-6/22П/од \"Об утверждении типовых маршрутов согласования документов в системе электронного документооборота\"",
        content: "29 сентября 2023 <br> Раздел: Действующие документы <br> Тип: Приказ <br> Уровень: Региональный <br> <a href='https://cit.nobl.ru/upload/uf/a83/1vqmovddifnagxhokgkw9342kuu54ysg/1%20%D0%9F%D1%80%D0%B8%D0%BA%D0%B0%D0%B7%20%D0%BC%D0%B0%D1%80%D1%88%D1%80%D1%83%D1%82%20%D0%B8%D0%B7%D0%BC%D0%B5%D0%BD%D0%B5%D0%BD%D0%B8%D0%B5%20%D0%BF%D1%80%D0%BE%D1%82%D0%BE%D0%BA%D0%BE%D0%BB%20%D0%B8%20%D0%BF%D0%BE%D1%80%D1%83%D1%87%D0%B5%D0%BD%D0%B8%D0%B5_(%D1%84%D0%B0%D0%B9%D0%BB%20%D0%BE%D1%82%D0%BE%D0%B1%D1%80%D0%B0%D0%B6%D0%B5%D0%BD%D0%B8%D1%8F).pdf', style='color: black'>Скачать</a> (загружено 79 раз)", 
      },
      {
        title: "Программный модуль \"Данные ГИС ЖКХ\"",
        content: "15 мая 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> x<a href='документы/РП_Данные_ГИС_ЖКХ_2_1_v1.docx' download='РП_Данные_ГИС_ЖКХ_2_1_v1.docx', style='color: black'>Скачать</a> (загружено 13 раз)", 
      },
      {
        title: "Программный модуль \"Оперативные оповещения\"",
        content: "15 мая 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='документы/РП_Оперативные_оповещения_2_1_v1.docx' download='РП_Оперативные_оповещения_2_1_v1.docx', style='color: black'>Скачать</a> (загружено 10 раз)", 
      },
      {
        title: "Программный модуль \"Сообщения жителей\"",
        content: "15 мая 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='документы/регион_РП_Сообщения_жителей_2_1_v1.docx' download='регион_РП_Сообщения_жителей_2_1_v1.docx', style='color: black'>Скачать</a> (загружено 10 раз)", 
      },
      {
        title: "Форма подачи заявки по замещению",
        content: "3 апреля 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='https://cit.nobl.ru/upload/uf/582/pc81f3vgws0ywif02r7vtcvieygr4uh1/Forma-podachi-zayavki-po-zameshcheniyu.pdf', style='color: black'>Скачать</a> (загружено 91 раз)", 
      },
      {
        title: "АРМ Контролера Руководство пользователя (толстый клиент)",
        content: "24 марта 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='https://cit.nobl.ru/upload/uf/4d8/qv59218jio02hevpxwjy90zaio2p0okh/ARM-Kontrolera-Rukovodstvo-polzovatelya-_tolstyy-klient_.pdf', style='color: black'>Скачать</a> (загружено 78 раз)", 
      },
      {
        title: "Автоматическая очистка файлов cookie Яндекс браузера",
        content: "24 марта 2023 <br> Раздел: Действующие документы <br> Тип: Прочие <br> Уровень: Локальный <br> <a href='https://cit.nobl.ru/upload/uf/7fc/o95wyaqapfkx59ozw6db1edwzbwai3lg/%D0%90%D0%B2%D1%82%D0%BE%D0%BC%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B0%D1%8F_%D0%BE%D1%87%D0%B8%D1%81%D1%82%D0%BA%D0%B0_%D1%84%D0%B0%D0%B9%D0%BB%D0%BE%D0%B2_cookie.pdf', style='color: black'>Скачать</a> (загружено 29 раз)", 
      },
    ];

    // Функция для отображения результатов поиска
    function displaySearchResults(results) {
      searchResults.innerHTML = ''; 

      if (results.length === 0) {
        searchResults.innerHTML = '<p>Ничего не найдено.</p>';
        return;
      }

      const resultsList = document.createElement('ul');
      results.forEach(result => {
        const listItem = document.createElement('li');
        listItem.innerHTML = result.title.replace(new RegExp(searchInput.value, 'gi'), '<mark>$&</mark>') + '<br>' + result.content; // Добавляем контент с подсветкой
        resultsList.appendChild(listItem);
      });

      searchResults.appendChild(resultsList);
    }

    // Функция для поиска по документации
    function searchDocumentation() {
      const searchTerm = searchInput.value.toLowerCase();
      const results = documentationData.filter(item => {
        return item.title.toLowerCase().includes(searchTerm) || item.content.toLowerCase().includes(searchTerm);
      });
      displaySearchResults(results);
    }

    function loadDefaultContent() {
      loader.style.display = 'block';

      setTimeout(() => {
        documentationData.forEach(item => {
          const listItem = document.createElement('li');
          const link = document.createElement('a');
          link.href = '#' + item.title.replace(/\s+/g, '-').toLowerCase();
          link.textContent = item.title;
          link.addEventListener('click', () => {
            contentDiv.innerHTML = `<h2>${item.title}</h2><p>${item.content}</p>`;
          });
          listItem.appendChild(link);
          sidebarLinks.appendChild(listItem);
        });

        loader.style.display = 'none';
      }, 1000); 
    }

    searchInput.addEventListener('input', searchDocumentation);
    window.addEventListener('load', loadDefaultContent);
