function validateForm(name, phone, email, code, password) {
    // Проверка наличия всех полей
    if (!name || !phone || !email || !code || !password) {
      return false;
    }
  
    // Проверка формата телефона (добавьте свою логику, например, регулярное выражение)
    if (!/^\+7\(\d{3}\)\d{3}-\d{4}$/.test(phone)) {
      return false;
    }
  
    // Проверка формата email (добавьте свою логику, например, регулярное выражение)
    if (!/^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email)) {
      return false;
    }
  
    // Дополнительные проверки по необходимости (например, длина пароля)
    // ...
  
    return true;
  }
  
  module.exports = validateForm; 